Attribute VB_Name = "AL2A"
 Option Explicit

'*********************************************************************************************
'
'@MPL-34-02v2.00 definitions, types, function for Visual Basic 5.3402.10.1507
'
'*********************************************************************************************
 

'*** DEFINITION ***
Public Const MC07_AL2PCI_BOARD_0 As Integer = &H4000
Public Const MC07_AL2PCI_BOARD_1 As Integer = &H4001
Public Const MC07_AL2PCI_BOARD_2 As Integer = &H4002
Public Const MC07_AL2PCI_BOARD_3 As Integer = &H4003

Public Const MC07_COMM_RATE_2 As Integer = 0
Public Const MC07_COMM_RATE_5 As Integer = 1
Public Const MC07_COMM_RATE_10 As Integer = 2
Public Const MC07_COMM_RATE_20 As Integer = 3

Public Const MC07_SLAVE_1 As Integer = &H10
Public Const MC07_SLAVE_2 As Integer = &H20
Public Const MC07_SLAVE_3 As Integer = &H30
Public Const MC07_SLAVE_4 As Integer = &H40
Public Const MC07_SLAVE_5 As Integer = &H50
Public Const MC07_SLAVE_6 As Integer = &H60
Public Const MC07_SLAVE_7 As Integer = &H70
Public Const MC07_SLAVE_8 As Integer = &H80
Public Const MC07_SLAVE_9 As Integer = &H90
Public Const MC07_SLAVE_A As Integer = &HA0
Public Const MC07_SLAVE_B As Integer = &HB0
Public Const MC07_SLAVE_C As Integer = &HC0
Public Const MC07_SLAVE_D As Integer = &HD0
Public Const MC07_SLAVE_E As Integer = &HE0
Public Const MC07_SLAVE_F As Integer = &HF0

Public Const MC07_SUB_UNIT_0 As Integer = &H800
Public Const MC07_SUB_UNIT_1 As Integer = &H900
Public Const MC07_SUB_UNIT_2 As Integer = &HA00
Public Const MC07_SUB_UNIT_3 As Integer = &HB00

Public Const MC07_X As Integer = 0
Public Const MC07_Y As Integer = 1
Public Const MC07_Z As Integer = 2
Public Const MC07_A As Integer = 3

Public Const MC07_EX_UNIT_COMM_RATE_5 As Integer = 2

Public Const MC07_EX_UNIT_COMM_16BIT As Integer = 0
Public Const MC07_EX_UNIT_COMM_32BIT As Integer = 1

Public Const MC07_EX_UNIT_COMM_START As Integer = 0
Public Const MC07_EX_UNIT_COMM_STOP As Integer = 1
Public Const MC07_EX_UNIT_COMM_DISC_LATCH_CLR As Integer = 2

Public Const MC07_GEX_UNIT_COMM_RATE_10 As Integer = 3

Public Const MC07_GEX_UNIT_COMM_64BIT As Integer = 2

Public Const MC07_GEX_UNIT_COMM_START As Integer = 0
Public Const MC07_GEX_UNIT_COMM_STOP As Integer = 1
Public Const MC07_GEX_UNIT_COMM_DISC_LATCH_CLR As Integer = 2

Public Const MC07_STATUS1 As Integer = 0
Public Const MC07_STATUS2 As Integer = 1
Public Const MC07_STATUS3 As Integer = 2
Public Const MC07_STATUS4 As Integer = 3
Public Const MC07_STATUS5 As Integer = 4
Public Const MC07_ORG_STATUS As Integer = 5

Public Const MC07_GP_IN As Integer = &H0
Public Const MC07_GP_OUT As Integer = &H1
Public Const MC07_EXP0_IN As Integer = &H2
Public Const MC07_EXP1_IN As Integer = &H3
Public Const MC07_EXP0_OUT As Integer = &H4
Public Const MC07_EXP1_OUT As Integer = &H5
Public Const MC07_CTLP0_IN As Integer = &H6
Public Const MC07_CTLP0_OUT As Integer = &H7
Public Const MC07_GP0_IN As Integer = &H8
Public Const MC07_GP1_IN As Integer = &H9
Public Const MC07_GP0_OUT As Integer = &HA
Public Const MC07_GP1_OUT As Integer = &HB
Public Const MC07_GEXP0_IN As Integer = &H20
Public Const MC07_GEXP1_IN As Integer = &H21
Public Const MC07_GEXP2_IN As Integer = &H22
Public Const MC07_GEXP3_IN As Integer = &H23
Public Const MC07_GEXP0_OUT As Integer = &H28
Public Const MC07_GEXP1_OUT As Integer = &H29
Public Const MC07_GEXP2_OUT As Integer = &H2A
Public Const MC07_GEXP3_OUT As Integer = &H2B

Public Const MC07_ORG0 As Integer = 0
Public Const MC07_ORG1 As Integer = 1
Public Const MC07_ORG2 As Integer = 2
Public Const MC07_ORG3 As Integer = 3
Public Const MC07_ORG4 As Integer = 4
Public Const MC07_ORG5 As Integer = 5
Public Const MC07_ORG10 As Integer = 10
Public Const MC07_ORG11 As Integer = 11
Public Const MC07_ORG12 As Integer = 12

Public Const MC07_CCW As Integer = 0
Public Const MC07_CW As Integer = 1

Public Const MC07_SEL_X As Long = &H1
Public Const MC07_SEL_Y As Long = &H2
Public Const MC07_SEL_Z As Long = &H4
Public Const MC07_SEL_A As Long = &H8
Public Const MC07_SEL_X_Y As Long = &H3
Public Const MC07_SEL_X_Z As Long = &H5
Public Const MC07_SEL_X_A As Long = &H9
Public Const MC07_SEL_Y_Z As Long = &H6
Public Const MC07_SEL_Y_A As Long = &HA
Public Const MC07_SEL_Z_A As Long = &HC
Public Const MC07_SEL_X_Y_Z As Long = &H7
Public Const MC07_SEL_X_Y_A As Long = &HB
Public Const MC07_SEL_X_Z_A As Long = &HD
Public Const MC07_SEL_Y_Z_A As Long = &HE
Public Const MC07_SEL_X_Y_Z_A As Long = &HF

Public Const MC07_SEL_GP_OUT = &H1
Public Const MC07_SEL_EXP0_OUT = &H4
Public Const MC07_SEL_EXP1_OUT = &H8
Public Const MC07_SEL_CTLP0_OUT = &H2
Public Const MC07_SEL_GP0_OUT = &H10
Public Const MC07_SEL_GP1_OUT = &H20
Public Const MC07_SEL_EXP0_EXP1_OUT = &HC
Public Const MC07_SEL_GP0_GP1_OUT = &H30

Public Const MC07_SEL_GEXP0_OUT As Long = &H1
Public Const MC07_SEL_GEXP1_OUT As Long = &H2
Public Const MC07_SEL_GEXP2_OUT As Long = &H4
Public Const MC07_SEL_GEXP3_OUT As Long = &H8
Public Const MC07_SEL_GEXP0_GEXP1_OUT As Long = &H3
Public Const MC07_SEL_GEXP2_GEXP3_OUT As Long = &HC

Public Const MC07_SEL_GEXU0_OUT As Long = &H100
Public Const MC07_SEL_GEXU1_OUT As Long = &H200
Public Const MC07_SEL_GEXU2_OUT As Long = &H400
Public Const MC07_SEL_GEXU3_OUT As Long = &H800

Public Const MC07_SEL_GP_IN = &H10000
Public Const MC07_SEL_EXP0_IN = &H40000
Public Const MC07_SEL_EXP1_IN = &H80000
Public Const MC07_SEL_CTLP0_IN = &H20000
Public Const MC07_SEL_GP0_IN = &H100000
Public Const MC07_SEL_GP1_IN = &H200000
Public Const MC07_SEL_EXP0_EXP1_IN = &HC0000
Public Const MC07_SEL_GP0_GP1_IN = &H300000

Public Const MC07_SEL_GEXP0_IN As Long = &H10000
Public Const MC07_SEL_GEXP1_IN As Long = &H20000
Public Const MC07_SEL_GEXP2_IN As Long = &H40000
Public Const MC07_SEL_GEXP3_IN As Long = &H80000
Public Const MC07_SEL_GEXP0_GEXP1_IN As Long = &H30000
Public Const MC07_SEL_GEXP2_GEXP3_IN As Long = &HC0000

Public Const MC07_SEL_GEXU0_IN As Long = &H1000000
Public Const MC07_SEL_GEXU1_IN As Long = &H2000000
Public Const MC07_SEL_GEXU2_IN As Long = &H4000000
Public Const MC07_SEL_GEXU3_IN As Long = &H8000000

'*** RESULT STRUCTURE ***
Type MC07_S_RESULT
    MC07_Result(1 To 4) As Integer
End Type

'*** DATA STRUCTURE ***
Type MC07_S_DATA
    MC07_Data(1 To 4) As Integer
End Type

'*** COMMAND DATA STRUCTURE ***
Type MC07_S_COMMAND_DATA
    Command As Integer
    Data As Long
End Type

'*** STATUS DATA STRUCTURE ***
Type MC07_S_STATUS_DATA
    Status1 As Integer
    Data As Long
End Type

'*** SLAVE INFO STRUCTURE ***
Type MC07_S_SLAVE_INFO
    SlaveType(1 To 15) As Integer
    GExuType(1 To 60) As Integer
End Type

'*** IN PORT STRUCTURE ***
Type MC07_S_IN_PORT
    Gpin As Integer
    Gp0in As Integer
    Gp1in As Integer
    Exp0in As Integer
    Exp1in As Integer
    Ctlp0in As Integer
    GExu0in(0 To 3) As Integer
    GExu1in(0 To 3) As Integer
    GExu2in(0 To 3) As Integer
    GExu3in(0 To 3) As Integer
    GExu0out(0 To 3) As Integer
    GExu1out(0 To 3) As Integer
    GExu2out(0 To 3) As Integer
    GExu3out(0 To 3) As Integer
    GExpin(0 To 3) As Integer
    GExpout(0 To 3) As Integer
End Type

'*** OUT PORT STRUCTURE ***
Type MC07_S_OUT_PORT
    Gpout As Integer
    Gp0out As Integer
    Gp1out As Integer
    Exp0out As Integer
    Exp1out As Integer
    Ctlp0out As Integer
    GExu0out(0 To 3) As Integer
    GExu1out(0 To 3) As Integer
    GExu2out(0 To 3) As Integer
    GExu3out(0 To 3) As Integer
    GExpout(0 To 3) As Integer
End Type

'*** UNIT STATUS STRUCTURE ***
Type MC07_S_UNIT_STATUS
    X As MC07_S_STATUS_DATA
    Y As MC07_S_STATUS_DATA
    Z As MC07_S_STATUS_DATA
    A As MC07_S_STATUS_DATA
    InPort As MC07_S_IN_PORT
End Type
    
'*** UNIT COMMAND STRUCTURE ***
Type MC07_S_UNIT_COMMAND
    X As MC07_S_COMMAND_DATA
    Y As MC07_S_COMMAND_DATA
    Z As MC07_S_COMMAND_DATA
    A As MC07_S_COMMAND_DATA
    OutPort As MC07_S_OUT_PORT
End Type

'***  STRUCTURE ***
Type MC07_S_AXIS_MCM_STATUS
    Status As Integer
    NopData As Integer
    Data As Long
End Type

'***  STRUCTURE ***
Type MC07_S_UNIT_MCM_STATUS
    McmStatus1 As Integer
    McmStatus2 As Integer
    X As MC07_S_AXIS_MCM_STATUS
    Y As MC07_S_AXIS_MCM_STATUS
    Z As MC07_S_AXIS_MCM_STATUS
    A As MC07_S_AXIS_MCM_STATUS
    Gpin As Integer
    Ctlp0in As Integer
    Exp0in As Integer
    Exp1in As Integer
End Type

'*** AXIS MCM ERROR STATUS STRUCTURE ***
Type MC07_S_AXIS_MCM_ERROR_STATUS
    ErrorCode As Integer
    MccErrorStatus As Integer
    MccErrorStatusMask As Integer
    OriginErrorStatus As Integer
End Type

'*** UNIT MCM ERROR STATUS STRUCTURE ***
Type MC07_S_UNIT_MCM_ERROR_STATUS
    X As MC07_S_AXIS_MCM_ERROR_STATUS
    Y As MC07_S_AXIS_MCM_ERROR_STATUS
    Z As MC07_S_AXIS_MCM_ERROR_STATUS
    A As MC07_S_AXIS_MCM_ERROR_STATUS
End Type

'*** AXIS MCM SPEC STRUCTURE ***
Type MC07_S_AXIS_MCM_SPEC
        Spec As Integer
End Type

'*** UNIT MCM SPEC STRUCTURE ***
Type MC07_S_UNIT_MCM_SPEC
    X As MC07_S_AXIS_MCM_SPEC
    Y As MC07_S_AXIS_MCM_SPEC
    Z As MC07_S_AXIS_MCM_SPEC
    A As MC07_S_AXIS_MCM_SPEC
End Type

'*** AXIS MCM INFO STRUCTURE ***
Type MC07_S_AXIS_MCM_INFO
    Address As Long
End Type

'*** UNIT MCM INFO STRUCTURE ***
Type MC07_S_UNIT_MCM_INFO
    SheetNo As Integer
    X As MC07_S_AXIS_MCM_INFO
    Y As MC07_S_AXIS_MCM_INFO
    Z As MC07_S_AXIS_MCM_INFO
    A As MC07_S_AXIS_MCM_INFO
End Type

'*** AXIS MCM START DATA STRUCTURE ***
Type MC07_S_AXIS_MCM_START_DATA
    Address As Long
End Type

'*** UNIT MCM START DATA STRUCTURE ***
Type MC07_S_UNIT_MCM_START_DATA
    X As MC07_S_AXIS_MCM_START_DATA
    Y As MC07_S_AXIS_MCM_START_DATA
    Z As MC07_S_AXIS_MCM_START_DATA
    A As MC07_S_AXIS_MCM_START_DATA
End Type

'*** COMMAND BUFFER STRUCTURE ***
Type MC07_S_COMMAND_BUF
    Command(0 To 15) As Integer
End Type

'*** DATA BUFFER STRUCTURE ***
Type MC07_S_DATA_BUF
    Data(0 To 15) As Long
End Type

'*** STATUS BUFFER STRUCTURE ***
Type MC07_S_STATUS_BUF
    Status(0 To 15) As Integer
End Type

'*** SPEED RATE STRUCTURE ***
Type MC07_S_SPEED_RATE
    FSpd As Long
    HighSpeed As Long
    LowSpeed As Long
    EndLowSpeed As Long
    SUArea As Long
    SDArea As Long
    SUH As Long
    SDH As Long
    URateNo As Long
    DRateNo As Long
End Type

'*** XY POSITION STRUCTURE ***
Type MC07_S_XY_POSITION
    X As Long
    Y As Long
End Type

'*** ORG PARAMETER STRUCTURE ***
Type MC07_S_ORG_PARAM
    Spec As Long
    MarginPulse As Long
    LimitDelay As Long
    ScanDelay As Long
    PulseDelay As Long
    CScanErrorPulse As Long
    PulseErrorPulse As Long
    OffsetPulse As Long
    PresetPulse As Long
End Type

'*** MPL Function Declarations ***
Declare Function MC07_Environment Lib "AL2A.dll" (ByVal BoardNo As Integer, ByVal CommRate As Integer, ByVal RetryCount As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ReadSlaveInfo Lib "AL2A.dll" (ByVal BoardNo As Integer, ByRef psSlaveInfo As MC07_S_SLAVE_INFO, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ErrCount Lib "AL2A.dll" (ByVal BoardNo As Integer, ByRef pCount As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ClrErrCount Lib "AL2A.dll" (ByVal BoardNo As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UOpen Lib "AL2A.dll" (ByVal UnitNo As Integer, ByRef phUnit As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UClose Lib "AL2A.dll" (ByVal hUnit As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UClrError Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWExUnitCommMode Lib "AL2A.dll" (ByVal hUnit As Long, ByVal CommRate As Integer, ByVal RetryCount As Integer, ByVal IoBit As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWExUnitCommControl Lib "AL2A.dll" (ByVal hUnit As Long, ByVal ControlSel As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URExUnitCommStatus Lib "AL2A.dll" (ByVal hUnit As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URExUnitCommMode Lib "AL2A.dll" (ByVal hUnit As Long, ByRef pCommRate As Integer, ByRef pRetryCount As Integer, ByRef pIoBit As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWGExUnitCommMode Lib "AL2A.dll" (ByVal hUnit As Long, ByVal CommRate As Integer, ByVal RetryCount As Integer, ByVal IoBit As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWGExUnitCommControl Lib "AL2A.dll" (ByVal hUnit As Long, ByVal ControlSel As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URGExUnitCommStatus Lib "AL2A.dll" (ByVal hUnit As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URGExUnitCommMode Lib "AL2A.dll" (ByVal hUnit As Long, ByRef pCommRate As Integer, ByRef pRetryCount As Integer, ByRef pIoBit As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWDriveIo Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByVal IoPortSel As Long, ByRef psUnitCmd As MC07_S_UNIT_COMMAND, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWRDrive Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitCmd As MC07_S_UNIT_COMMAND, ByRef psUnitStatus As MC07_S_UNIT_STATUS, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URStatus1Io Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByVal IoPortSel As Long, ByRef psUnitStatus As MC07_S_UNIT_STATUS, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URStatus1PcntIo Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByVal IoPortSel As Long, ByRef psUnitStatus As MC07_S_UNIT_STATUS, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UPortOut Lib "AL2A.dll" (ByVal hUnit As Long, ByVal IoPortSel As Long, ByRef psOutPort As MC07_S_OUT_PORT, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UPortOrOut Lib "AL2A.dll" (ByVal hUnit As Long, ByVal IoPortSel As Long, ByRef psOutPort As MC07_S_OUT_PORT, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UPortAndOut Lib "AL2A.dll" (ByVal hUnit As Long, ByVal IoPortSel As Long, ByRef psOutPort As MC07_S_OUT_PORT, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UPortIn Lib "AL2A.dll" (ByVal hUnit As Long, ByVal IoPortSel As Long, ByRef psInPort As MC07_S_IN_PORT, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReadMcmStatus Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmStatus As MC07_S_UNIT_MCM_STATUS, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReadMcmErrorStatus Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmErrorStatus As MC07_S_UNIT_MCM_ERROR_STATUS, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_USetMcmSpec0 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal Spec As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UGetMcmSpec0 Lib "AL2A.dll" (ByVal hUnit As Long, ByRef pSpec As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_USetMcmSpec1 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UGetMcmSpec1 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_USetMcmSpec2 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UGetMcmSpec2 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_USetMcmSpec3 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UGetMcmSpec3 Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmSpec As MC07_S_UNIT_MCM_SPEC, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReleaseMcmSheetLock Lib "AL2A.dll" (ByVal hUnit As Long, ByVal SheetNo As Integer, ByRef Password As Byte, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UDownloadMcmSheet Lib "AL2A.dll" (ByVal hUnit As Long, ByVal SheetNo As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWriteMcmRam Lib "AL2A.dll" (ByVal hUnit As Long, ByVal Axis As Integer, ByVal Address As Long, ByRef psCmdData As MC07_S_COMMAND_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReadMcmRam Lib "AL2A.dll" (ByVal hUnit As Long, ByVal Axis As Integer, ByVal Address As Long, ByRef psCmdData As MC07_S_COMMAND_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReadMcmInfo Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmInfo As MC07_S_UNIT_MCM_INFO, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UWaitMcmReady Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByVal WaitTime As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UReadMcmWaitStatus Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef pWaitSts As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UBreakMcmWait Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UStartMcm Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psUnitMcmStartData As MC07_S_UNIT_MCM_START_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UPauseMcm Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_URestartMcm Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UFsstopMcm Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_USlstopMcm Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_UClrMcmError Lib "AL2A.dll" (ByVal hUnit As Long, ByVal AxisSel As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BOpen Lib "AL2A.dll" (ByVal UnitNo As Integer, ByVal Axis As Integer, ByRef phDev As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BClose Lib "AL2A.dll" (ByVal hDev As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ClrError Lib "AL2A.dll" (ByVal hDev As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BufWDrive Lib "AL2A.dll" (ByVal hDev As Long, ByRef psCmdBuf As MC07_S_COMMAND_BUF, ByRef psDataBuf As MC07_S_DATA_BUF, ByVal Count As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_LWDrive Lib "AL2A.dll" (ByVal hDev As Long, ByVal Cmd As Integer, ByRef pData As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_LWData Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IWDrive Lib "AL2A.dll" (ByVal hDev As Long, ByVal Cmd As Integer, ByRef psData As MC07_S_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IWData Lib "AL2A.dll" (ByVal hDev As Long, ByRef psData As MC07_S_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_LWDriveBuf Lib "AL2A.dll" (ByVal hDev As Long, ByRef CmdDataBuf As MC07_S_COMMAND_DATA, ByVal Count As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWDriveCommand Lib "AL2A.dll" (ByVal hDev As Long, ByRef pCmd As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWDriveData1 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWDriveData2 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_AllRStatus Lib "AL2A.dll" (ByVal hDev As Long, ByRef psStsBuf As MC07_S_STATUS_BUF, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatus1 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatus2 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatus3 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatus4 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatus5 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRStatusBuf Lib "AL2A.dll" (ByVal hDev As Long, ByRef StatusBuf As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_LRDrive Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IRDrive Lib "AL2A.dll" (ByVal hDev As Long, ByRef psData As MC07_S_DATA, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRDriveData1 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRDriveData2 Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_LWRDrive Lib "AL2A.dll" (ByVal hDev As Long, ByVal Cmd As Integer, ByRef pWriteData As Long, ByRef pReadData As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWRDrive Lib "AL2A.dll" (ByVal hDev As Long, ByVal Cmd As Integer, ByRef pReadData As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRNopData Lib "AL2A.dll" (ByVal hDev As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWaitDriveCommand Lib "AL2A.dll" (ByVal hDev As Long, ByVal WaitTime As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWaitComregNotFull Lib "AL2A.dll" (ByVal hDev As Long, ByVal WaitTime As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BIsWait Lib "AL2A.dll" (ByVal hDev As Long, ByRef pWaitSts As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BBreakWait Lib "AL2A.dll" (ByVal hDev As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetSpeedRate Lib "AL2A.dll" (ByVal hDev As Long, ByVal ResolNo As Integer, ByRef psSpeedRate As MC07_S_SPEED_RATE, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ReadSpeedRate Lib "AL2A.dll" (ByVal hDev As Long, ByRef pResolNo As Integer, ByRef psSpeedRate As MC07_S_SPEED_RATE, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_McIncStrCp Lib "AL2A.dll" (ByVal hDevX As Long, ByVal hDevY As Long, ByVal DrvSpec As Integer, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_McIncCirCp Lib "AL2A.dll" (ByVal hDevX As Long, ByVal hDevY As Long, ByVal DrvSpec As Integer, ByVal Dir As Integer, ByRef psCenterPosition As MC07_S_XY_POSITION, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IncStrCp Lib "AL2A.dll" (ByVal hDevX As Long, ByVal hDevY As Long, ByVal DrvSpec As Integer, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IncCirCp Lib "AL2A.dll" (ByVal hDevX As Long, ByVal hDevY As Long, ByVal DrvSpec As Integer, ByVal Dir As Integer, ByRef psCenterPosition As MC07_S_XY_POSITION, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_GetCirShortPulse Lib "AL2A.dll" (ByVal Dir As Integer, ByRef psCenterPosition As MC07_S_XY_POSITION, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef ShortPulse As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_GetCirCenterPosition Lib "AL2A.dll" (ByRef psPassPosition As MC07_S_XY_POSITION, ByRef psTargetPosition As MC07_S_XY_POSITION, ByRef pDir As Integer, ByRef psCenterPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_IncFromAbs Lib "AL2A.dll" (ByVal hDevX As Long, ByVal hDevY As Long, ByRef psAbsPosition As MC07_S_XY_POSITION, ByRef psIncPosition As MC07_S_XY_POSITION, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ReadOrgStatus Lib "AL2A.dll" (ByVal hDev As Long, ByRef pStatus As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgSpec Lib "AL2A.dll" (ByVal hDev As Long, ByVal Spec As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgMarginPulse Lib "AL2A.dll" (ByVal hDev As Long, ByVal MarginPulse As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgDelay Lib "AL2A.dll" (ByVal hDev As Long, ByVal LimitDelay As Integer, ByVal ScanDelay As Integer, ByVal PulseDelay As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgErrorPulse Lib "AL2A.dll" (ByVal hDev As Long, ByVal CScanErrorPulse As Long, ByVal PulseErrorPulse As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgOffsetPulse Lib "AL2A.dll" (ByVal hDev As Long, ByVal OffsetPulse As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_SetOrgPresetPulse Lib "AL2A.dll" (ByVal hDev As Long, ByVal PresetPulse As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ReadOrgParam Lib "AL2A.dll" (ByVal hDev As Long, ByRef psOrgParam As MC07_S_ORG_PARAM, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_ResetOrgFlag Lib "AL2A.dll" (ByVal hDev As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_Org Lib "AL2A.dll" (ByVal hDev As Long, ByVal OrgType As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Sub MC07_SetData Lib "AL2A.dll" (ByVal Data As Long, ByRef psData As MC07_S_DATA)
Declare Function MC07_GetData Lib "AL2A.dll" (ByRef psData As MC07_S_DATA) As Long
Declare Function MC07_BPortOpen Lib "AL2A.dll" (ByVal UnitNo As Integer, ByVal IoPort As Integer, ByRef phPort As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BPortClose Lib "AL2A.dll" (ByVal hPort As Long, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BPortOut Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BPortOrOut Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BPortAndOut Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BPortIn Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BSigActiveOut Lib "AL2A.dll" (ByVal hPort As Long, ByVal SigNo As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BSigNotActiveOut Lib "AL2A.dll" (ByVal hPort As Long, ByVal SigNo As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BSigIn Lib "AL2A.dll" (ByVal hPort As Long, ByVal SigNo As Integer, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWLatchEdge Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRLatchEdge Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BWLatchClr Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
Declare Function MC07_BRLatchData Lib "AL2A.dll" (ByVal hPort As Long, ByRef pData As Integer, ByRef psResult As MC07_S_RESULT) As Boolean
